@Echo off
if X%1==X goto .data
if NOT EXIST "%1" goto .data
if NOT EXIST "@SigData" goto .sys
if "%Temp%"=="" goto .temp
if "%TSUtil%"=="" goto .path
if NOT EXIST "%TSUtil%\TSUtil.class" goto .path
@Echo on
Copy %1\Shapes\KnGerhvxA.s %Temp%\KN1-HVA.s
Copy @SigData\KN1-HVA.sd Shapes
Copy %1\Shapes\KnGerhvxAVZ.s %Temp%\KN1-HVAV.s
Copy @SigData\KN1-HVAV.sd Shapes
Copy %1\Shapes\KnGerhvxB.s %Temp%\KN1-HVB.s
Copy @SigData\KN1-HVB.sd Shapes
Copy %1\Shapes\KnGerhvxBVZ.s %Temp%\KN1-HVBV.s
Copy @SigData\KN1-HVBV.sd Shapes
Copy %1\Shapes\KnGerhvxC.s %Temp%\KN1-HVC.s
Copy @SigData\KN1-HVC.sd Shapes
Copy %1\Shapes\KnGerhvxCVZ.s %Temp%\KN1-HVCV.s
Copy @SigData\KN1-HVCV.sd Shapes
Copy %1\Shapes\KnGerhvxVorOBM.s %Temp%\KN1-VR.s
Copy @SigData\KN1-VR.sd Shapes
Copy %1\Shapes\KnGerhvxVorOBMV.s %Temp%\KN1-VRW.s
Copy @SigData\KN1-VRW.sd Shapes
Copy %1\Shapes\KnGerhvxVorBak.s %Temp%\KN1-FoVR_B.s
Copy @SigData\KN1-FoVR_B.sd Shapes
Copy %1\Shapes\KnGerZS2.s %Temp%\KN1-ZS2.s
Copy @SigData\KN1-ZS2.sd Shapes
Copy %1\Shapes\KnGerwe.s %Temp%\KN1-WE.s
Copy @SigData\KN1-WE.sd Shapes
Copy %1\Shapes\KnGerweisilft.s %Temp%\KN1-Shnt_L.s
Copy @SigData\KN1-Shnt_L.sd Shapes
Copy %1\Shapes\KnGerweisirgt.s %Temp%\KN1-Shnt_R.s
Copy @SigData\KN1-Shnt_R.sd Shapes
Copy %1\Shapes\KnGerweisiy.s %Temp%\KN1-Shnt_Y.s
Copy @SigData\KN1-Shnt_Y.sd Shapes
java -Xmx512M -cp %TSUtil% TSUtil -$B "-l%2" fcpy -s -c -@CpyKN41.txt -nKN1-*.s "%Temp%" "Shapes"
Del %Temp%\KN1-*

Copy %1\Textures\KnGerSigL.ace Textures\KN1-LTex1.ace
Copy %1\Textures\KnGerSigL2.ace Textures\KN1-LTex2.ace
Copy %1\Textures\KnGerHIX.ace Textures\KN1-HIX.ace
Copy %1\Textures\KnGerHPX.ace Textures\KN1-HPX.ace
Copy %1\Textures\KnGerVRX.ace Textures\KN1-VRX.ace
Copy %1\Textures\KnGerWE.ace Textures\KN1-WE.ace
Copy %1\Textures\KnGerWEI.ace Textures\KN1-WEI.ace
Copy %1\Textures\KnGerNE3.ace Textures\KN1-NE3.ace
@Echo off
goto .ende
:.data
Echo.
Echo Achtung: Geforderter Argumentwert fehlt oder nicht gueltig
Echo          Verzeichnisreferenz zu Signaldefinitionen nicht vorhanden?
goto .ende
:.sys
Echo.
Echo Achtung: 'Universelles Signalsystem' wurde NICHT installiert
Echo          Verzeichnisreferenz zu temporaerem Systemverzeichnis nicht vorhanden?
goto .ende
:.temp
Echo.
Echo Achtung: Temporaerer Verzeichnispfad 'Temp' ist nicht gueltig
Echo          Verzeichnisreferenz zu temporaerem Verzeichnis nicht vorhanden?
goto .ende
:.path
Echo.
Echo Achtung: TSUtil-Anwendung ist nicht verfuegbar
Echo          Bitte TSUtil (Version 3.4.05S) installieren (TSUtil_DE.exe)
:.ende
Pause
