@Echo off
if X%1==X goto .data
if NOT EXIST "%1" goto .data
if NOT EXIST "@SigData" goto .sys
if "%Temp%"=="" goto .temp
if "%TSUtil%"=="" goto .path
if NOT EXIST "%TSUtil%\TSUtil.class" goto .path
@Echo on
Copy %1\Shapes\DB4_HP3.s %Temp%\PT01-HVA.s
Copy @SigData\PT01-HVA.sd Shapes
Copy %1\Shapes\DB4_HP3_OL.s %Temp%\PT01-HVA_oM.s
Copy @SigData\PT01-HVA_oM.sd Shapes
java -Xmx512M -cp %TSUtil% TSUtil -$B "-l%2" fcpy -s -c -@CpyPT01.txt -nPT01-*.s "%Temp%" "Shapes"
Del %Temp%\PT01-*

Copy %1\Textures\SigLight.ace Textures\PT01-LTex.ace
Copy %1\Textures\TGA008.ace Textures\PT01-Sig1.ace
Copy %1\Textures\TT048.ace Textures\PT01-Sig2.ace
Copy %1\Textures\TT076.ace Textures\PT01-Sig3.ace
@Echo off
goto .ende
:.data
Echo.
Echo Achtung: Geforderter Argumentwert fehlt oder nicht gueltig
Echo          Verzeichnisreferenz zu Signaldefinitionen nicht vorhanden?
goto .ende
:.sys
Echo.
Echo Achtung: 'Universelles Signalsystem' wurde NICHT installiert
Echo          Verzeichnisreferenz zu temporaerem Systemverzeichnis nicht vorhanden?
goto .ende
:.temp
Echo.
Echo Achtung: Temporaerer Verzeichnispfad 'Temp' ist nicht gueltig
Echo          Verzeichnisreferenz zu temporaerem Verzeichnis nicht vorhanden?
goto .ende
:.path
Echo.
Echo Achtung: TSUtil-Anwendung ist nicht verfuegbar
Echo          Bitte TSUtil (Version 3.4.05S) installieren (TSUtil_DE.exe)
:.ende
Pause
